unit Unit1;
{
  24.02.98, RH.
  Oleander demo application that does not use the OleanderController,
  but replaces bookmarks manually.

  !!
  This demo defaults to an english Word7.
  The code that has to be changed is not compilable at first, and has to be
  adapted if necessary. The comments should make that clear.

  The default printer is used, but may be modified in the appropriate property.
  !!
}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, OleanderWord8, OleanderAuto, OleanderPrinter,
  OleanderWord7,
  OleanderTools;  // added manually

type
  TForm1 = class(TForm)
    OleanderWord71: TOleanderWord7;
    OleanderWord81: TOleanderWord8;
    BitBtn1: TBitBtn;
    BitBtn3: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
    OleanderPrinter: TOleanderPrinter;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
// The code below is depending on your Word release and, if you use
// Word7, on the installed language of Word7.
// Set as you need and comment the ones you don't need.

 // if you use Word8
->  OleanderPrinter := OleanderWord81;
//
 // if you use Word7
->  OleanderPrinter := OleanderWord71;
->  OleanderWord71.WordBasicDialect := wbdEnglish;  // if you use Word7, set language. See online help or OleanderWord71 component
//  you may comment the above line and set the WordBasicDialect property in the OleanderWord71 component.

//
  OleanderPrinter.Docname := ExePath + OleanderPrinter.Docname;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  try
    try
      OleanderPrinter.Open;
      OleanderPrinter.ShowServer := TRUE;
      OleanderPrinter.LoadDoc;
      ShowMessage('Replacing bookmarks now!');
      OleanderPrinter.ReplaceName('title', 'Mr.',  FALSE, FALSE);
      OleanderPrinter.ReplaceName('name', 'Smith',  FALSE, FALSE);
      OleanderPrinter.ReplaceName('program', 'Oleander',  FALSE, FALSE);
      OleanderPrinter.ReplaceName('release', 'Oleander 1.04',  FALSE, FALSE);
      OleanderPrinter.ReplaceName('release2', 'Oleander 1.04',  FALSE, FALSE);
      OleanderPrinter.ReplaceName('we', 'Ott & Hoppe GbR',  FALSE, FALSE);
      if MessageDlg('Done! Send document to printer?', mtConfirmation, [mbYes, mbNo], 0) = mrYes then
        OleanderPrinter.PrintDoc;
      OleanderPrinter.FreeDoc;
    except
      on e: Exception do ShowMessage(e.message); // Someting wrong
    end;
  finally
    OleanderPrinter.Close;
  end;
end;

end.
